Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1381486 - spyder-3.1.3 is available
spyder-3.1.3 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: spyder (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On: 1382527
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-04 05:11 EDT by Upstream Release Monitoring
Modified: 2017-04-10 21:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-10 21:42:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.32 KB, patch)
2016-10-04 05:12 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.32 KB, patch)
2016-10-19 22:32 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.31 KB, patch)
2016-11-20 19:21 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (35.14 KB, patch)
2017-01-18 07:22 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.32 KB, patch)
2017-01-22 19:25 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.1.3 (#1381486) (1.05 KB, patch)
2017-02-20 19:19 EST, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-10-04 05:11:27 EDT
Latest upstream release: 3.0.0
Current version/release in rawhide: 2.3.9-2.fc25
URL: https://github.com/spyder-ide/spyder

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4874/
Comment 1 Upstream Release Monitoring 2016-10-04 05:12:09 EDT
Patching or scratch build for spyder-2.3.9 failed.
Comment 2 Upstream Release Monitoring 2016-10-04 05:12:11 EDT
Created attachment 1207117 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 3 Upstream Release Monitoring 2016-10-04 05:12:14 EDT
Patches were not touched. All were applied properly
Comment 4 Mukundan Ragavan 2016-10-04 17:50:55 EDT
Almost all runtime dependencies have been satisfied at the moment. Just waiting for one more package.

Once that is in, I will build spyder 3.
Comment 5 Gwyn Ciesla 2016-10-19 14:07:30 EDT
Which package is still needed?
Comment 6 Mukundan Ragavan 2016-10-19 20:31:41 EDT
python-qtconsole (reviewed and approved).

However, it requires python-ipykernel which is under review

https://bugzilla.redhat.com/show_bug.cgi?id=1327981
Comment 7 Upstream Release Monitoring 2016-10-19 22:32:21 EDT
Latest upstream release: 3.0.1
Current version/release in rawhide: 2.3.9-2.fc25
URL: https://github.com/spyder-ide/spyder

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4874/
Comment 8 Upstream Release Monitoring 2016-10-19 22:32:55 EDT
Patching or scratch build for spyder-2.3.9 failed.
Comment 9 Upstream Release Monitoring 2016-10-19 22:32:58 EDT
Created attachment 1212306 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 10 Upstream Release Monitoring 2016-10-19 22:33:00 EDT
Patches were not touched. All were applied properly
Comment 11 Upstream Release Monitoring 2016-11-20 19:20:50 EST
Latest upstream release: 3.0.2
Current version/release in rawhide: 2.3.9-2.fc25
URL: https://github.com/spyder-ide/spyder

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4874/
Comment 12 Upstream Release Monitoring 2016-11-20 19:21:25 EST
Patching or scratch build for spyder-2.3.9 failed.
Comment 13 Upstream Release Monitoring 2016-11-20 19:21:28 EST
Created attachment 1222265 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 14 Upstream Release Monitoring 2016-11-20 19:21:30 EST
Patches were not touched. All were applied properly
Comment 15 Mukundan Ragavan 2016-11-20 21:53:26 EST
i will setup a COPR initially this week ... till the blocking bug is approved.
Comment 16 Upstream Release Monitoring 2017-01-18 07:21:24 EST
Latest upstream release: 3.1.0
Current version/release in rawhide: 2.3.9-3.fc26
URL: https://github.com/spyder-ide/spyder

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4874/
Comment 17 Upstream Release Monitoring 2017-01-18 07:22:04 EST
Patching or scratch build for spyder-2.3.9 failed.
Comment 18 Upstream Release Monitoring 2017-01-18 07:22:07 EST
Created attachment 1242144 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 19 Upstream Release Monitoring 2017-01-18 07:22:10 EST
Patches were not touched. All were applied properly
Comment 20 Upstream Release Monitoring 2017-01-22 19:24:59 EST
Latest upstream release: 3.1.1
Current version/release in rawhide: 2.3.9-3.fc26
URL: https://github.com/spyder-ide/spyder

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4874/
Comment 21 Upstream Release Monitoring 2017-01-22 19:25:34 EST
Patching or scratch build for spyder-2.3.9 failed.
Comment 22 Upstream Release Monitoring 2017-01-22 19:25:36 EST
Created attachment 1243497 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 23 Upstream Release Monitoring 2017-01-22 19:25:38 EST
Patches were not touched. All were applied properly
Comment 24 Upstream Release Monitoring 2017-02-20 19:18:56 EST
Latest upstream release: 3.1.3
Current version/release in rawhide: 2.3.9-4.fc26
URL: https://github.com/spyder-ide/spyder

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4874/
Comment 25 Upstream Release Monitoring 2017-02-20 19:19:03 EST
Created attachment 1255899 [details]
[patch] Update to 3.1.3 (#1381486)
Comment 26 Upstream Release Monitoring 2017-02-20 19:21:34 EST
hotness's scratch build of spyder-3.1.3-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=17972839
Comment 27 Mukundan Ragavan 2017-02-20 21:05:50 EST
Need ipython update before this goes through ... :(
Comment 28 Upstream Release Monitoring 2017-04-10 21:41:49 EDT
nonamedotc's spyder-3.1.3-2.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=878999

Note You need to log in before you can comment on or make changes to this bug.